.login-pf {
  background: none;
}

.login-pf .card-pf {
  width: 480px;
  background: none;
  border: 0;
  box-shadow: none;
  margin: 0;
  padding: 0;
}

.card-pf .title {
  margin-bottom: 8px;
  margin-top:0;
  font-size: 1.5rem;
  font-weight: 600;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: -0.24px;
  color: var(--c-neutral-90);
}

.card-pf .title span {
  font-weight: bold;
}

.card-pf .desc {
  font-size: 0.938rem;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.35;
  letter-spacing: normal;
  text-align: left;
  color:  var(--c-neutral-80);
  margin-bottom: 32px;
}

.login-pf body {
  background-image: none;
  background-color: var(--c-background);
}

.c-login {
  background-color: var(--c-background);
  height: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.login-pf-page .login-pf-signup span {
  color: var(--c-grey-4);
}

.login-pf-page .login-pf-signup a {
  color: var(--color-primary);
  margin-left: 0;
}

.login-pf-page .login-pf-signup a:hover {
  text-decoration: none;
}

.c-login__left {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.c-login__left .logo {
  width: 8.9rem;
  margin-bottom:32px;
}

@media only screen and (min-width: 1921px) {
  .c-login__left {
    justify-content: flex-end;
    margin-right: 224px;
  }
}

.c-login__right {
  display: flex;
  justify-content: center;
  text-align: center;
  position: relative;
  background: var(--color-primary);
}
.login-pf-page .login-pf-settings.form-group {
  top: -14px;
  position: relative;
}

.login-pf-settings .checkbox {
  margin-top: 0;
}

.login-pf-settings .checkbox label {
  font-size: 0.875rem;
  color:var(--c-neutral-90);
}

.email-img {
  display: none;
}

.instruction-title {
  color: var(--c-neutral-90);
  font-size: 1.5rem;
  font-weight: 600;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: -0.24px;
  text-align: left;
  margin-top: 0;
  margin-bottom: 20px;
  break-word: keep-all;
}

.instruction-desc {
  color: var(--c-neutral-75);
  font-size: 15px;
}

.attempted-username {
  color: var(--c-neutral-90);
}

/* @media only screen and (max-width: 820px) {
  .login-pf-page {
    margin-top: 220px !important;
  }

  .c-login {
    display: flex;
    grid-template-columns: none;
  }

  .c-login__right {
    display: none;
  }

  .maqqie-logo-container {
    width: 83px;
    height: 86px;
    padding: 18px 22px;
    border-radius: 20px;
    background-color: #d7f9f8;
    position: absolute;
    top: 80px;
    left: 190px;
  }
}

@media only screen and (max-width: 375px) {
  .login-pf-page {
    margin-top: 220px !important;
  }

  .maqqie-logo-container {
    width: 83px;
    height: 86px;
    padding: 18px 22px;
    border-radius: 20px;
    background-color: #d7f9f8;
    position: absolute;
    top: 80px;
    left: 190px;
  }
}

@media only screen and (max-width: 480px) {
  .login-pf-page {
    margin-top: 70px;
  }

  .pf-c-button.pf-m-primary.btn-lg {
    margin-top: 60px;
  }

  .c-login {
    display: flex;
    grid-template-columns: none;
  }

  .c-login__right {
    display: none;
  }

  .form-group {
    padding-right: 48px;
    padding-left: 48px;
  }

  .title span {
    font-size: 28px;
  }

  .card-pf .title {
    text-align: center;
  }

  .desc {
    text-align: center;
  }

  .card-pf .desc {
    margin-bottom: 84px;
  }

  .maqqie-logo-container {
    width: 83px;
    height: 86px;
    padding: 18px 22px;
    border-radius: 20px;
    background-color: #d7f9f8;
    position: absolute;
    top: 80px;
    left: 190px;
  }

  .c-login__left .logo {
    position: absolute;
    top: 20px;
    left: 22px;
    width: 39px;
    height: 51px;
  }
} */

@media only screen and (max-width: 960px) {
  .pf-c-button.btn-lg {
    font-size: 13px !important;
  }

  .c-login {
    display: grid;
    grid-template-columns: none;
  }

  .c-login__right {
    display: none !important;
  }

  .c-login__left {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: center;
  }

  .c-login__left .logo {
    position: static;
  }

  .login-pf-page {
    height: 100%;
    padding: 24px;
  }

  .login-pf .card-pf {
    width: 100%;
    height: 100%;
  }

  #kc-content, #kc-content-wrapper, #kc-form, #kc-form-wrapper, #kc-form-login, #kc-reset-password-form, #kc-passwd-update-form {
    display:flex;
    flex-direction: column;
    align-items: stretch;
    height: 100%;
  }

  #kc-form-buttons {
    margin: 0 -24px -24px;
    padding: 16px 24px;

    border-top: 1px solid var(--c-neutral-20);
  }

  .login-pf-page .login-pf-settings.form-group {
      top: 0;
      position: unset;
  }

  .login-pf-page .login-pf-settings.form-group.forgot-password-buttons {
    margin: -24px;
    align-items: stretch;
  }

  .forgot-password-input {
     flex: 1;
     margin: 0;
   }

  .forgot-password-buttons {
    margin: -24px;
  }

  .forgot-password-buttons > #kc-form-buttons {
    margin: 0;
  }

  #kc-reset-password-form {
    margin-top: 32px;
  }

  .button-container {
    padding: 12px 24px;
  }

  .forgot-password-inputs {
    flex: 1;
  }


  .card-pf .title {
    margin-top: 0;
    margin-bottom: 8px;
    font-size: 28px;
    font-weight: bold;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #1f1f1f;
  }

  .card-pf .desc {
    margin-bottom: 0;
    font-size: 15px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.6;
    letter-spacing: normal;
    color: #999;
  }

  #kc-form {
    margin-top: 32px;
  }


   .form-horizontal .form-group {
    margin-left: 0;
    margin-right: 0;
  }

  .title span {
    font-size: 28px;
  }

  .alert,
  .instruction {
    width: 90%;
    margin: auto;
  }

  .magic-link-instruction {
    width: 350px;
  }

  #kc-info-wrapper {
    width: 350px;
  }

  .alert-warning.pf-c-alert.pf-m-inline.pf-m-warning,
  .alert-success.pf-c-alert.pf-m-inline.pf-m-success,
  .alert-error.pf-c-alert.pf-m-inline.pf-m-danger {
    padding: 4px 8px;
  }

  .kc-feedback-text {
    font-size: 12px;
    line-height: 12px;
  }

  .maqqie-login-form {
    display: flex;
    flex-direction: column;
  }

  .maqqie-login-form__content {
    flex: 1;
  }

  #kc-form-buttons {
    display: flex;
    flex-direction: column;
    gap: 12px;
  }

  #kc-register {
    margin-top: 0;
  }
}

.c-login__right .image {
  z-index: 1;
  pointer-events: none;
  position: absolute;
  bottom: 0;
  left: -20px;
  max-width: 100%;
  max-height: 100%;
}

.c-login__right .company-visual {
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.c-login__right .desc {
  font-size: 33px;
  color: var(--c-white);
  font-weight: bold;
  width: 80%;
  margin-bottom: 11vh;
  position: relative;
}

.login-pf-page .form-group {
  margin-bottom: 24px;
}

.login-pf-settings .p-18.link {
  text-decoration: none;
  margin-left: auto;
  font-weight: 600;
}

/* FORM ELEMENTS */
.label {
  margin-bottom: 8px;
  padding: 0;
  display: inline-block;
  font-size: 14px;
  font-weight: 700;
  font-stretch: normal;
  font-style: normal;
  line-height: 16px;
  letter-spacing: normal;
  color: var(--c-grey-4);
}

.pf-c-button.pf-m-control {
  border: 1px solid rgba(230, 230, 230, 0.5);
  margin-bottom: 16px;
  height: 48px;
}

.pf-c-form-control:not(textarea) {
  height: 48px;
  border-radius: 8px;
  border: 1px solid #E6E4E2;
  padding: 10px 16px;
  font-family: "F37 Ginger";
  background: #FFFFFF;
  background-repeat: no-repeat;
  color: var(--c-black-1);
  outline: none;
}

.pf-c-form-control[aria-invalid="true"] {
  border-radius: 4px;
  border: 1px solid #d9d9d9;
  padding: 10px 16px;
  background-position: 98% 50%;
}

.pf-c-form-control:hover {
  border: 1px solid #ECE7FF;
}

.pf-c-form-control:disabled {
  border: 1px solid #E6E4E2;
}

.pf-c-form-control:focus,
.pf-c-form-control:focus-visible,
.pf-c-form-control:focus-within {
  border: 1px solid var(--color-primary);;
  padding-bottom: 10px;
}

.pf-c-form-control::placeholder {
  font-size: 14px;
  font-weight: 400;
  color: #999999;
  line-height: 24px;
}

.link {
  margin-bottom: 24px;
  font-size: 14px;
}

.link a {
  color: var(--color-primary);
}

.link:empty {
  margin-bottom: 300px;
}

.pf-c-button.pf-m-primary.btn-lg {
  height: 38px;
  padding: 7px 32px;
  border-radius: 8px;
  background-color: var(--color-primary);
  color: var(--c-white);
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0.34px;
  line-height: 20px;
  outline: none;
}

.pf-c-button.pf-m-primary.btn-lg:hover {
  background-color: var(--color-primary-dark);
}

.pf-c-button.btn-default {
  height: 38px;
  padding: 7px 32px;
  border-radius: 8px;
  background-color: transparent;
  color: var(--color-primary);
  font-size: 14px;
  font-weight: 400;
  letter-spacing: 0.34px;
  line-height: 24px;
  background-image: none;
}

.pf-c-button.btn-default:hover,
.pf-c-button.btn-default:active,
.pf-c-button.btn-default:focus,
.pf-c-button.btn-default:focus-within,
.pf-c-button.btn-default:focus-visible {
  background-color: var(--color-secondary-lighter);
  background-image: none;
  color: var(--color-primary-dark)
}

.pf-c-button.btn-default[name='register'] {
  font-size: 0.875rem;
  font-weight: 600;
  margin-top: 12px;
}

.alert-warning.pf-c-alert.pf-m-inline.pf-m-warning,
.alert-success.pf-c-alert.pf-m-inline.pf-m-success,
.alert-error.pf-c-alert.pf-m-inline.pf-m-danger {
  margin: 0;
  margin-bottom: 32px;

  padding: 6px 12px;

  border: 0;
  border-radius: 100px;
  align-items: center;
}

.kc-feedback-text {
  font-size: 13px;
  line-height: 13px;
  font-weight: 400;
}

.alert-warning:has(> .kc-feedback-text:empty) {
    display: none;
}

.pf-c-alert__icon > .fa {
  font-size: 10px;
}

:root {
  --pf-c-alert__icon--MarginRight: 10px !important;

  --color-secondary-lighter: oklch(from var(--c-primary) 97.5% calc(c - 0.04) h);
  --color-secondary-light: oklch(from var(--c-primary) 87.8% calc(c - 0.03) h);
  --color-secondary: oklch(from var(--c-primary) 78.1% calc(c - 0.02) h);
  --color-secondary-dark: oklch(from var(--c-primary) 68.4% calc(c - 0.01) h);
  --color-secondary-darker: oklch(from var(--c-primary) 58.7% c h);
  --color-primary-lighter: oklch(from var(--c-primary) 68.4% calc(c - 0.01) h);
  --color-primary-light: oklch(from var(--c-primary) 58.7% c h);
  --color-primary: oklch(from var(--c-primary) 49% c h);
  --color-primary-dark: oklch(from var(--c-primary) 42% c h);
  --color-primary-darker: oklch(from var(--c-primary) 35% calc(c + 0.01) h);
}

.forgot-password-input {
  margin: 0 !important;
}

.forgot-password-buttons {
  position: unset !important;
  margin-top: 32px;
}

.button-container {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.back-to-login > .link {
  margin: 0;
  font-size: 16px;
}

.back-to-login {
  text-transform: initial;
}


@media only screen and (max-width: 960px) {

  .magic-link-instruction {
    width: unset;
    flex: 1;

    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .email-img {
    display:  unset;
    align-self: center;
    margin-bottom: 24px;
  }

  .instruction-title {
    font-size: 21px;
    line-height: 27.3px;
    letter-spacing: -0.15px;
    margin-bottom: 8px;
  }

  .instruction-desc {
    font-size: 14px;
  }
}

.forgot-password-input-and-buttons {
  margin-top: 32px;

  display: flex;
  flex-direction: column;
  gap: 32px;
  flex: 1;
}

.forgot-password-inputs {
  display: flex;
  flex-direction: column;
  gap: 24px;
  flex: 1;
}

.login-update-password-options {
  display: none;
}
